@import url('https://fonts.googleapis.com/css?family=Roboto+Slab&display=swap');

$section: #ffe1e1;
$gray: #f8f8f8;
$text-gray: #383838;

html {
  position: relative;
  min-height: 100%;
  font-family: 'Roboto Slab', serif;
  width: 100%;
  color: $text-gray;
}

body {
  background-color: $gray;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100%;
}

header {
  width: 100%;
  background-color: #fff;
  margin-bottom: 50px;
  display: flex;
  align-items: center;

  nav {
    display: flex;
    justify-content: space-between;
    align-items: center;

    .right .ham {
      display: none;
    }
  }

  nav .left {
    display: flex;
    justify-content: space-evenly;

    .logo,
    .menu ul li {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .logo {
      margin-right: 20px;
      color: red;
      padding: 20px 10px 20px 0;
    }

    .menu a {
      text-decoration: none;
      color: $text-gray;
    }

    .menu ul {
      display: flex;
      justify-content: space-between;

      li {
        padding: 20px 10px 20px;
        transition: background-color 200ms ease-in-out;
      }

      li:hover {
        background-color: lightgray;
      }
    }
  }
}

main {
  background-color: #fff;
  margin-bottom: 50px;
  width: 100%;
  max-width: 1800px;

  .wrapper {
    display: flex;
    justify-content: space-between;
    position: relative;
    padding: 30px 0;

    .ham {
      display: none;
    }
  }
}

.filters {
  width: 200px;
}

.filters section {
  &:not(:last-of-type),
  &:not(:first-of-type) {
    margin-bottom: 20px;
  }

  h3 {
    margin-bottom: 10px;
  }

  &.types ul li a {
    text-decoration: none;
    color: inherit;
    font-family: inherit;
    font-size: inherit;
  }

  &.types ul li:not(:last-child) {
    margin-bottom: 10px;
  }

  &.search {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;

    form {
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .input,
    .submit {
      display: inline-block;
      padding: 5px;
      font-size: 20px;
      border-radius: 0;
      outline: none;
      -webkit-appearance: none;
    }

    .input {
      border: 1px solid lightgray;
      width: 100%;
    }
  }

  &.brands,
  &.sizes {
    display: flex;
    flex-direction: column;
    font-size: 16px;
  }
}

.prices form {
  max-width: 200px;
  display: flex;
  justify-content: space-between;

  .input,
  .submit {
    display: inline-block;
    font-size: 20px;
    border-radius: 0;
    outline: none;
    -webkit-appearance: none;
  }

  .input {
    border: 1px solid lightgray;
    padding: 5px;
    width: 50px;
  }

  .submit {
    padding: 5px 10px;
  }
}

.submit {
  background-color: red;
  border: 2px solid transparent;
  cursor: pointer;
}

.ads {
  width: 70%;
  background-color: inherit;

  .title {
    margin-bottom: 10px;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;

    h2 {
      color: red;
      font-size: 32px;
      font-weight: 700;
    }

    .items span {
      font-weight: 700;
    }

    &::after {
      content: '';
      position: absolute;
      width: 100%;
      height: 1px;
      left: 0;
      bottom: -5px;
      transform: translate(-50% -50%);
      background-color: $gray;
    }
  }
}

.ad {
  background-color: white;
  position: relative;
  display: flex;
  flex-basis: auto;
  justify-content: flex-start;
  margin-bottom: 10px;
  
  .info {
    width: 100%;
    margin-left: 50px;
    max-height: 100%;
    min-width: 0;

    .description {
      margin-bottom: 25px;

      .product-title, .price, p {
        margin-bottom: 5px;
      }

      .product-title {
        font-size: 20px;
      }

      .price {
        font-size: 20px;
        font-weight: 700;
      }

      p {
        font-size: 12px;
        color: #989aac;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        line-height: 2;
      }
    }
  }

  &.one {
    .img::before {
      content: 'NEW!';
      position: absolute;
      left: 0;
      top: 0;
      padding: 10px;
      color: white;
      transform: rotate(-30deg);
      background: linear-gradient(to right, #dd2476, #ff512f);
      box-shadow: 0px 5px 20px -5px rgba(0, 0, 0, 0.75);
    }
  }

  .img {
    position: relative;
    transition: transform 200ms ease-in-out;
    z-index: 2;

    img {
      width: 200px;
      height: 200px;
    }

    &:hover {
      transform: scale(1.1);
    }
  }

  &::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    left: 0;
    bottom: -5px;
    transform: translate(-50% -50%);
    background-color: $gray;
    z-index: 1;
  }
}

.pagination {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;

  a {
    padding: 8px 12px;
    border: 1px solid lightgray;
    text-decoration: none;
    color: $text-gray;
    border-radius: 5px;
  }

  a.active {
    background-color: red;
    color: #fff;
  }

  b {
    font-weight: 700;
  }
}

footer {
  width: 100%;
  margin-bottom: 50px;
}

footer .wrapper {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;

  section {
    width: 30%;
    text-align: justify;

    h4 {
      font-size: 20px;
      color: red;
      margin-bottom: 20px;
    }

    article {
      display: flex;
      justify-content: space-between;
    }

    &.recent-ads {
      .img {
        margin-right: 30px;
      }

      article:not(:last-of-type) {
        margin-bottom: 20px;
      }

      .right .title {
        margin-bottom: 20px;
        transition: transform 200ms ease;

        &:hover {
          transform: scale(1.1);
        }

        a {
          text-decoration: none;
          color: black;
        }
      }
    }
  }
}

.media .links {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

    .link {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      width: 60px;
      height: 60px;
      min-width: 60px;
      min-height: 60px;
      border-radius: 50%;
      font-size: 35px;
      color: #fff;

      a {
        text-decoration: none;
        color: #fff;
      }

      &.facebook {
        background-color: #4a6daa;
      }

      &.youtube {
        background-color: #f80000;
      }

      &.instagram {
        background: radial-gradient(
          circle at 30% 107%,
          #fdf497 0%,
          #fdf497 5%,
          #fd5949 45%,
          #d6249f 60%,
          #285aeb 90%
        );
      }

      &.google {
        background-color: #f80000;
      }
    }
  }


.wrapper {
  width: 80%;
  margin: auto;
  max-width: 1800px;
}

button {
  all: unset;
  border: none;
  background-color: red;
  color: white;
  padding: 10px 15px;
  cursor: pointer;
  text-align: center;
}

@media screen and (max-width: 1200px) {
  main .wrapper {
    flex-direction: column;
    position: relative;

    .ham {
      display: block;
      width: 100%;
      position: relative;
      height: 50px;

      #ham {
        display: block;
        position: absolute;
        right: 0;
      }
    }
  }

  .filters {
    width: 100%;

    .content {
      max-height: 0;
      overflow: hidden;
      transition: max-height 200ms ease-out;
    }
  }

  .ads {
    width: 100%;
  }
}

@media screen and (max-width: 1300px) {
  footer .wrapper {
    flex-direction: column;
    align-items: center;

    section {
      width: 100%;
      h4 {
        text-align: center;
      }

      &.recent-ads {
        flex-direction: row;
        flex-wrap: wrap;
      }

      &.recent-ads article {
        justify-content: space-evenly;
      }

      &.media .links {
        width: 70%;
        margin: auto;
      }

      &:not(:last-of-type) {
        margin-bottom: 20px;
      }
    }
  }
}

@media screen and (max-width: 610px) {
  .ham {
    display: block;
    width: 100%;
    position: relative;
    height: 50px;
  }

  .ads .ad {
    flex-direction: column;
    justify-content: space-around;
    margin-bottom: 50px;

    .img {
      text-align: center;
      img {
        width: 100%;
        height: 100%;
      }
    }

    .info {
      margin: 0;
    }
  }
}

@media screen and (max-width: 430px) {
  .menu {
    display: none;
  }

  nav .right button {
    display: none;
  }

  nav .right .ham {
    display: block;
  }

  footer .wrapper .media .links {
    flex-direction: column;
    align-items: center;

    .link:not(:last-of-type) {
      margin-bottom: 20px;
    }
  }
}

input[type='number']::-webkit-inner-spin-button,
input[type='number']::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#ham {
  width: 60px;
  height: 45px;
  position: relative;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: 0.5s ease-in-out;
  -moz-transition: 0.5s ease-in-out;
  -o-transition: 0.5s ease-in-out;
  transition: 0.5s ease-in-out;
  cursor: pointer;
  transform: scale(0.5);

  span {
    display: block;
    position: absolute;
    height: 9px;
    width: 100%;
    background: black;
    border-radius: 9px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.25s ease-in-out;
    -moz-transition: 0.25s ease-in-out;
    -o-transition: 0.25s ease-in-out;
    transition: 0.25s ease-in-out;
  }
}

#ham span:nth-child(1) {
  top: 0px;
}

#ham span:nth-child(2),
#ham span:nth-child(3) {
  top: 18px;
}

#ham span:nth-child(4) {
  top: 36px;
}

#ham.open span:nth-child(1) {
  top: 18px;
  width: 0%;
  left: 50%;
}

#ham.open span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}

#ham.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

#ham.open span:nth-child(4) {
  top: 18px;
  width: 0%;
  left: 50%;
}

#hamNav {
  width: 60px;
  height: 45px;
  position: relative;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: 0.5s ease-in-out;
  -moz-transition: 0.5s ease-in-out;
  -o-transition: 0.5s ease-in-out;
  transition: 0.5s ease-in-out;
  cursor: pointer;
  transform: scale(0.5);

  span {
    display: block;
    position: absolute;
    height: 9px;
    width: 100%;
    background: black;
    border-radius: 9px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.25s ease-in-out;
    -moz-transition: 0.25s ease-in-out;
    -o-transition: 0.25s ease-in-out;
    transition: 0.25s ease-in-out;
  }
}

#hamNav span:nth-child(1) {
  top: 0px;
}

#hamNav span:nth-child(2),
#hamNav span:nth-child(3) {
  top: 18px;
}

#hamNav span:nth-child(4) {
  top: 36px;
}

#hamNav.open span:nth-child(1) {
  top: 18px;
  width: 0%;
  left: 50%;
}

#hamNav.open span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}

#hamNav.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

#hamNav.open span:nth-child(4) {
  top: 18px;
  width: 0%;
  left: 50%;
}

/* Customize the label (the container) */
.container {
  display: inline-block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  /* Hide the browser's default checkbox */
  input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

  /* Create a custom checkbox */
  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #fff;
    border: 1px solid lightgray;
  }
}

/* On mouse-over, add a gray background color */
.container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.container input:checked ~ .checkmark {
  background-color: #2196f3;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: '';
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.container .checkmark:after {
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  left: 5px;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
